iscsi_session_persistent_address_get(3)

NAME
iscsi_session_persistent_address_get - Retrieve iSCSI target persistent address of specified session

SYNOPSIS
const char * iscsi_session_persistent_address_get (struct iscsi_session *se);

ARGUMENTS

se  Pointer of 'struct iscsi_session'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION

Retrieve the iSCSI target persistent address of specified iSCSI session. The 'persistent address' is the network address where iSCSI initiator send initial request. When iSCSI redirection in use, this address might not be the network address used for actual iSCSI transaction. Please use `iscsi_session_address_get` for target network address of iSCSI transaction.

RETURN
const char *. Empty string if not supported. No need to free this memory, the resources will get freed by iscsi_session_free or iscsi_sessions_free.